Subject: Re: [Autoconf] Closing summary on consensus-call for RFC5889modifications
From: Alexandru Petrescu <[email-masked]>
To: Teco Boot <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Aug 2010 18:03:18 +0200
List-Id: Ad-Hoc Network Autoconfiguration WG discussion list <autoconf.ietf.org>

Le 25/08/2010 15:21, Teco Boot a écrit :
> Alex,
>
> Your statement is not accurate. You say: "A router with [whatever]
> is a router to. Would someone doubt on that?

Right, a router is a router - always valid.

A "machine" with static routes is a router too.

> If you intended to say:
>> A node with static routes (no routing protocol messages) is a
>> router too.
>
> This is definitely not true. Every host may have static routes.

Right.  That's why I tend to accept that there are no Hosts in this
world and they're all routers, because they all execute longest prefix
match searches in their routing tables, they all have at least two
interfaces (lo is one), they all have entries in their routing tables.

They're all routers, Hosts don't exist.

> I call a node a router if it: - may forward packets; - may send
> routing protocol packets; - may send router advertisements.
>
> Reworded: a host - may not forward packets; - may not send routing
> protocol packets; - may not send router advertisements.

Ah "may" makes it impossible to really distinguish.

> I have device here on my desk. It is called a Wireless-N Home Router.
> I use it as WiFi AP, Ethernet switch and DHCP server. I don't use it
> for forwarding packets, because on the yellow marked port it does
> some nasty NAPT operations, which I can't use in my setup. Shall I
> bring it back to the shop, and ask for a Wireless-N Home Host?

HA haha!!  I doubt shop vendor understands "Host" because s/he never
sells Hosts to anyone!  S/he could sell Routers, Switches, Desktops,
Servers ; or it could Host your website if you wish.  But never sell you
a Host.  Who sells Hosts?

> It: - may forward packets, but I disabled it; - may send routing
> protocol packets, but I disabled it; - may send router
> advertisements, but I doubt if it supports IPv6.

But that Access Point does have routing table entries, does execute the
longest prefix match algorithm, hence it's a Router.

> By the way, if I use packet forwarding, NAPT and MAC NAT, it acts as
> a host on the Internet port.

In a sense.  What do you mean it "acts as a Host on the Internet port"?
  What does NAPT does as algorithm, data structures, which a Router does
not, on the Internet port?

> Providers can't detect it is a router, it is all hidden. Powerful
> feature, for where providers don't allow routers connected to their
> networks.

Hmm...

I think also, as you say, that it is good to distinguish it based on
sending RA or NA: if it sends RA then it's a Router, otherwise it's a
Host; but disabling RAs on a Router doesn't make it a Host :-) - it
makes it an IPv4 Router (another Router :-)

Alex

>
> Teco
>
>
>
> Op 25 aug 2010, om 12:05 heeft Alexandru Petrescu het volgende
> geschreven:
>
>> Le 25/08/2010 10:41, Dearlove, Christopher (UK) a écrit :
>>> It's running the routing protocol, and not just listening to it,
>>> but engaging actively in it - sending necessary routing protocol
>>> messages. It's a router.
>>
>> And a router doesn't necessarily have to run a dynamic routing
>> protocol.  A router with static routes (no routing protocol
>> messages) is a router too.
>>
>> Alex
>>
>>>
>>
>>
>> _______________________________________________ Autoconf mailing
>> list [email-masked]
>> https://www.ietf.org/mailman/listinfo/autoconf
>
>